Package it.ernytech.tdlib

## Class TdApi.ReplyMarkupRemoveKeyboard

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ReplyMarkup
    - - it.ernytech.tdlib.TdApi.ReplyMarkupRemoveKeyboard

Enclosing class:
  TdApi

    public static class TdApi.ReplyMarkupRemoveKeyboard
    extends TdApi.ReplyMarkup

Instructs clients to remove the keyboard once this message has been received. This kind of keyboard can't be received in an incoming message; instead, UpdateChatReplyMarkup with messageId == 0 will be sent.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isPersonal` True, if the keyboard is removed only for the mentioned users or the target user of a reply.

### Constructor Summary

Constructors
`ReplyMarkupRemoveKeyboard()` Default constructor.
`ReplyMarkupRemoveKeyboard​(boolean isPersonal)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### isPersonal

    public boolean isPersonal

True, if the keyboard is removed only for the mentioned users or the target user of a reply.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ReplyMarkupRemoveKeyboard

    public ReplyMarkupRemoveKeyboard()

Default constructor.

#### ReplyMarkupRemoveKeyboard

    public ReplyMarkupRemoveKeyboard​(boolean isPersonal)

Constructor for initialization of all fields.

Parameters:
  `isPersonal` - True, if the keyboard is removed only for the mentioned users or the target user of a reply.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR